Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## groovy.lang
Class GroovyCodeSource

    java.lang.Object
      groovy.lang.GroovyCodeSource

    public class GroovyCodeSource

extends Object

CodeSource wrapper class that allows specific security policies to be associated with a class compiled from groovy source.

Author:
  Steve Goetze

Constructor Summary
`GroovyCodeSource(File infile)`
`GroovyCodeSource(InputStream inputStream, String name, String codeBase)` Construct a GroovyCodeSource for an inputStream of groovyCode that has an unknown provenance -- meaning it didn't come from a File or a URL (e.g.
`GroovyCodeSource(String script, String name, String codeBase)`
`GroovyCodeSource(URL url)`

Method Summary
`File` | `getFile()`
`InputStream` | `getInputStream()`
`String` | `getName()`
`boolean` | `isCachable()`
`void` | `setCachable(boolean b)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### GroovyCodeSource

    public GroovyCodeSource(String script,
                            String name,
                            String codeBase)

### GroovyCodeSource

    public GroovyCodeSource(InputStream inputStream,
                            String name,
                            String codeBase)

  Construct a GroovyCodeSource for an inputStream of groovyCode that has an unknown provenance -- meaning it didn't come from a File or a URL (e.g. a String). The supplied codeBase will be used to construct a File URL that should match up with a java Policy entry that determines the grants to be associated with the class that will be built from the InputStream. The permission groovy.security.GroovyCodeSourcePermission will be used to determine if the given codeBase may be specified. That is, the current Policy set must have a GroovyCodeSourcePermission that implies the codeBase, or an exception will be thrown. This is to prevent callers from hijacking existing codeBase policy entries unless explicitly authorized by the user.

### GroovyCodeSource

    public GroovyCodeSource(File infile)
                     throws IOException

Throws:
  `IOException`

### GroovyCodeSource

    public GroovyCodeSource(URL url)
                     throws IOException

Throws:
  `IOException`

Method Detail

### getInputStream

    public InputStream getInputStream()

### getName

    public String getName()

### getFile

    public File getFile()

### setCachable

    public void setCachable(boolean b)

### isCachable

    public boolean isCachable()

Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright © 2003-2008 The Codehaus. All rights reserved.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD